package org.mercury_im.messenger.persistence.model;

import java.util.Objects;

public abstract class AbstractAccountModel implements AccountModel {

    @Override
    public boolean equals(Object other) {
        if (other == null) return false;
        if (this == other) return true;
        if (!(other instanceof AccountModel)) {
            return false;
        }
        AccountModel o = (AccountModel) other;

        return o.getId() == getId() &&
                Objects.equals(o.getJid(), getJid()) &&
                Objects.equals(o.getEnabled(), getEnabled()) &&
                Objects.equals(o.getPassword(), getPassword()) &&
                Objects.equals(o.getState(), getState());
    }
}
