package org.mercury_im.messenger.persistence.room.type_converter;

import androidx.room.TypeConverter;

import java.io.File;

public class FileConverter {

    @TypeConverter
    public static String toString(File file) {
        if (file == null) {
            return null;
        }
        return file.getAbsolutePath();
    }

    @TypeConverter
    public static File toFile(String string) {
        if (string == null) {
            return null;
        }
        return new File(string);
    }
}
