package org.mercury_im.messenger.persistence.model;

public interface ContactModel<E extends EntityModel> {

    long getId();

    void setId(long id);

    long getEntityId();

    void setEntityId(long id);

    String getRosterName();

    void setRosterName(String rosterName);

    DIRECTION getDirection();

    void setDirection(DIRECTION direction);

    boolean isSubscriptionPending();

    void setSubscriptionPending(boolean pending);

    boolean isApproved();

    void setApproved(boolean approved);

    E getEntity();

    void setEntity(E entity);

    enum DIRECTION {
        none,
        to,
        from,
        both,
        remove
    }
}
