package org.mercury_im.messenger.persistence.model;


import org.jxmpp.jid.EntityBareJid;

import java.io.File;

/**
 * An {@link EntityModel} represents an XMPP user as seen by an account.
 * The pair (account_id, jid) MUST be unique.
 */
public interface EntityModel {

    long getId();

    void setId(long id);

    long getAccountId();

    void setAccountId(long accountId);

    EntityBareJid getJid();

    void setJid(EntityBareJid jid);

}
